VLOCK(1)

NAZWA
vlock - program do blokowania wirtualnej konsoli

SKŁADNIA
vlock

vlock [ -a,--all ] [ -c,--current ] [ -h,--help ] [ -v,--version ]

OPIS
vlock jest programem służącym do blokowania jednej lub wielu sesji w konsoli Linuksa. Jest szczególnie przydatny na linuksowych komputerach, do których konsoli dostęp ma wielu użytkowników. Użytkownik może zablokować tylko swoje sesje, pozwalając innym użytkownikom systemu na normalne użytkowanie innych wirtualnych konsol. Jeśli zaistnieje potrzeba, można zablokować całą konsolę i uniemożliwić przełączanie się pomiędzy wirtualnymi terminalami.

By default, only the current VC (virtual console) is locked. With the -a,-all option all VCs are locked. The locked VCs cannot be unlocked without the invoker's password. And, for the paranoid, vlock makes it a trying experience for those attempting to guess the password, so unauthorized access to session(s) is highly unlikely.

Proszę zauważyć, że możliwe jest całkowite odcięcie się od konsoli przy użyciu opcji -a, --all, jeżeli zapomni się hasła! Jeśli nie ma możliwości zabicia procesu vlock po zalogowaniu się zdalnie przez terminal szeregowy lub sieć, to twardy restart systemu jest jedyną metodą "odblokowania" ekranu.

vlock works for console sessions primarily. However, there is support for trying to lock non-console sessions as well, but that support has not been well tested.

OPCJE
-a, --all

    Zamyka wszystkie sesje konsoli i wyłącza możliwość przełączania się pomiędzy VC.

-c, --current

    Zamyka bieżącą sesję (domyślne).

-h, --help

    Wyświetla krótki komunikat pomocy.

-v, --version

    Print the version number of vlock.

AUTOR
Michael K. Johnson <johnsonm@redhat.com>

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Paweł Sędrowski (ptm.berlios.de) <sedros@gmail.com> i Robert Luberda <robert@debian.org> Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI. Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres manpages-pl-list@lists.sourceforge.net.